FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Attributes | List of all members
InputState Struct Reference

Used to define style for the Input component. More...

`#include <component_options.hpp>`

## Public Attributes
Element | element
bool | hovered
| Whether the input is hovered by the mouse.
bool | focused
| Whether the input is focused by the user.
bool | is_placeholder

## Detailed Description

Used to define style for the Input component.

Definition at line 153 of file component_options.hpp.

## Member Data Documentation

## ◆ element

Element element

Definition at line 154 of file component_options.hpp.

## ◆ hovered

bool hovered

Whether the input is hovered by the mouse.

Definition at line 155 of file component_options.hpp.

## ◆ focused

bool focused

Whether the input is focused by the user.

Definition at line 156 of file component_options.hpp.

## ◆ is_placeholder

bool is_placeholder

Whether the input is empty and displaying the placeholder.

Definition at line 157 of file component_options.hpp.

The documentation for this struct was generated from the following file:

- component_options.hpp